# networkctl

This software replaces networkmanager.

Usage:

```sh
networkctl up
networkctl down
networkctl list

# simulate the network start: print every command
networkctl -s up

# choose software to use instead of the auto-detected ones
networkctl -n ip -d udhcpc up

# start a single interface
networkctl up eth0
```


# tested on

* Linux: ifconfig, ip, dhclient, iw, wpa\_supplicant
* Busybox: busybox (ifconfig, ip, udhcpc), iw, wpa\_supplicant
* OpenBSD: ifconfig, dhclient


# todo

1. bugfix with ifconfig: aliasses create a new interface, they are not put down
2. wifi (iw, ifconfig, wpa\_supplicant...)
3. better cli: `networkctl (up|down|list) interface`, and searching in /etc for network files by default
4. wifi reconnection on error
5. launching arbitrary code with the "!command" syntax
6. bridge
7. vlan
8. (linux only) network namespaces
